package com.github.gkutiel.fbi;

import static com.google.common.base.Preconditions.checkArgument;
import static com.google.common.base.Strings.isNullOrEmpty;

import java.util.logging.Logger;

import com.google.gson.Gson;

public class Fbi {
	public static class FbiResponseException extends Exception {

		public FbiResponseException(final String response) {
			super(response);
		}
	}

	static final Logger LOGGER = FbUtil.getLogger(Fbi.class);

	static final Gson GSON = new Gson();
	private final String accessToken;

	public Fbi(final String accessToken) {
		checkArgument(!isNullOrEmpty(accessToken));
		this.accessToken = accessToken;
	}

	public Friends friends() {
		return new Friends(accessToken);
	}

	public Me me() {
		return new Me(accessToken);
	}

	public Publish publish() {
		return new Publish(accessToken);
	}
}
