package com.github.gkutiel.fbi;

import com.github.gkutiel.fbi.Publish.Post;
import com.google.gson.Gson;

public class Publish extends GraphAction.PostGraphAction<Post> {
	public static class Action {
		final String name;
		final String link;

		public Action(final String name, final String link) {
			this.name = name;
			this.link = link;
		}
	}

	public static class Post {
		String id;
	}

	Publish(final String accessToken) {
		super(accessToken, "me/feed", Post.class);
	}

	public Publish actions(final Action... actions) {
		return param("actions", new Gson().toJson(actions));
	}

	public Publish link(final String url) {
		return param("link", url);
	}

	public Publish name(final String name) {
		return param("name", name);
	}

	public Publish picture(final String url) {
		return param("picture", url);
	}
}